
QGIS Application - Bug report #12233

Cannot change fonts in print composer

2015-02-21 09:29 AM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20420

Description

Affects both the font picker for legends as well as for label items. (Colors which can be selected separately do work)

Tested using 2.8 and master from OSGeo4W on Win7 and Win8.

Related issues:

Duplicates QGIS Application - Bug report # 4937: Print composer: font size in... Closed 2012-02-01

Duplicated by QGIS Application - Bug report # 12237: Cannot change font in pr... Closed 2015-02-22

Duplicated by QGIS Application - Bug report # 12260: Print Composer: Text fie... Closed 2015-02-24

Associated revisions

Revision 57ba28c3 - 2015-02-22 12:38 AM - Jürgen Fischer

don't set parent of QFontDialog to avoid the stylesheet font (fixes #12233)

Revision fe213784 - 2015-02-22 12:44 AM - Jürgen Fischer

don't set parent of QFontDialog to avoid the stylesheet font (fixes #12233)

Revision ec0ab3f7 - 2015-02-27 08:58 PM - Jürgen Fischer

composer attribute table: fix changing header font (fixes #12233)

Revision fe9161f4 - 2015-02-27 08:58 PM - Jürgen Fischer

composer attribute table: fix changing header font (fixes #12233)

(cherry picked from commit ec0ab3f7ce4c7b009cff9abaf9d9277cb62437de)

History

#1 - 2015-02-21 09:59 AM - Anita Graser

Maybe this recent change caused it commit:69c58e9eece

#2 - 2015-02-21 02:35 PM - Jürgen Fischer
Anita Graser wrote:

Maybe this recent change caused it commit:69c58e9eece

which reverts commit:6ba79ca :(

#3 - 2015-02-21 03:51 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"fe21378416184ceeb0d48802c01e26939f3d5167".

#4 - 2015-02-27 11:27 AM - Pedro Venâncio

- Assignee set to Jürgen Fischer

- Status changed from Closed to Reopened

This still occurs with Attribute Table item -> Table Heading Font. With Table Contents Font, everything seems ok.

Tested in 2.8.1 and master.

#5 - 2015-02-27 11:59 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"ec0ab3f7ce4c7b009cff9abaf9d9277cb62437de".
